
From: Maciej Soltysiak <solt@dns.toxicfilms.tv>

this patches updates Documentation/ide.txt to reflect more options that
really are supported by the IDE driver (drivers/ide.c)



 Documentation/ide.txt |   42 +++++++++++++++++++++++++++++++++++++-----
 drivers/ide/ide.c     |    2 +-
 2 files changed, 38 insertions(+), 6 deletions(-)

diff -puN Documentation/ide.txt~ide-docs-update Documentation/ide.txt
--- 25/Documentation/ide.txt~ide-docs-update	2003-08-26 02:50:57.000000000 -0700
+++ 25-akpm/Documentation/ide.txt	2003-08-26 02:50:57.000000000 -0700
@@ -1,5 +1,5 @@
 
-	Information regarding the Enhanced IDE drive in Linux 2.5
+	Information regarding the Enhanced IDE drive in Linux 2.6
 
 ==============================================================================
 
@@ -242,8 +242,23 @@ Summary of ide driver parameters for ker
 			  and quite likely to cause trouble with
 			  older/odd IDE drives.
 
+ "hdx=biostimings"	: driver will NOT attempt to tune interface speed
+ 			  (DMA/PIO) but always honour BIOS timings.
+
  "hdx=slow"		: insert a huge pause after each access to the data
 			  port. Should be used only as a last resort.
+
+ "hdx=swapdata"		: when the drive is a disk, byte swap all data
+
+ "hdx=bswap"		: same as above..........
+
+ "hdx=flash"		: allows for more than one ata_flash disk to be
+ 			  registered. In most cases, only one device
+ 			  will be present.
+
+ "hdx=scsi"		: the return of the ide-scsi flag, this is useful for
+ 			  allowing ide-floppy, ide-tape, and ide-cdrom|writers
+ 			  to use ide-scsi emulation on a device specific option.
 				
  "hdxlun=xx"		: set the drive last logical unit
 
@@ -277,27 +292,41 @@ Summary of ide driver parameters for ker
  "idex=noautotune"	: driver will NOT attempt to tune interface speed 
 			  This is the default for most chipsets,
 			  except the cmd640.
+
+ "idex=biostimings"	: driver will NOT attempt to tune interface speed
+			  (DMA/PIO) but always honour BIOS timings.
 				
  "idex=serialize"	: do not overlap operations on idex. Please note
 			  that you will have to specify this option for
 			  both the respecitve primary and secondary channel
 			  to take effect.
+
+ "idex=four"		: four drives on idex and ide(x^1) share same ports
 			
  "idex=reset"		: reset interface after probe
  
  "idex=dma"		: automatically configure/use DMA if possible.
 
-The following are valid ONLY on ide0, which usually corresponds to the first
-ATA interface found on the particular host, and the defaults for the base,ctl
-ports must not be altered.
+ "idex=ata66"		: informs the interface that it has an 80c cable
+			  for chipsets that are ATA-66 capable, but the
+			  ability to bit test for detection is currently
+			  unknown.
+
+ "ide=reverse"		: formerly called to pci sub-system, but now local.
+
+The following are valid ONLY on ide0 (except dc4030), which usually corresponds
+to the first ATA interface found on the particular host, and the defaults for
+the base,ctl ports must not be altered.
 
  "ide0=dtc2278"		: probe/support DTC2278 interface
  "ide0=ht6560b"		: probe/support HT6560B interface
  "ide0=cmd640_vlb"	: *REQUIRED* for VLB cards with the CMD640 chip
 			  (not for PCI -- automatically detected)
  "ide0=qd65xx"		: probe/support qd65xx interface
- "ide0=ali14xx"		: probe/support ali14xx chipsets (ALI M1439/M1445)
+ "ide0=ali14xx"		: probe/support ali14xx chipsets (ALI M1439/M1443/M1445)
  "ide0=umc8672"		: probe/support umc8672 chipsets
+ "idex=dc4030"		: probe/support Promise DC4030VL interface
+ "ide=doubler"		: probe/support IDE doublers on Amiga
 
 There may be more options than shown -- use the source, Luke!
 
@@ -375,3 +404,6 @@ mlord@pobox.com
 
 Wed Apr 17 22:52:44 CEST 2002 edited by Marcin Dalecki, the current
 maintainer.
+
+Wed Aug 20 22:31:29 CEST 2003 updated ide boot uptions to current ide.c
+comments at 2.6.0-test4 time. Maciej Soltysiak <solt@dns.toxicfilms.tv>
diff -puN drivers/ide/ide.c~ide-docs-update drivers/ide/ide.c
--- 25/drivers/ide/ide.c~ide-docs-update	2003-08-26 02:50:57.000000000 -0700
+++ 25-akpm/drivers/ide/ide.c	2003-08-26 02:50:57.000000000 -0700
@@ -1875,7 +1875,7 @@ static int __initdata is_chipset_set[MAX
  *				registered. In most cases, only one device
  *				will be present.
  * "hdx=scsi"		: the return of the ide-scsi flag, this is useful for
- *				allowwing ide-floppy, ide-tape, and ide-cdrom|writers
+ *				allowing ide-floppy, ide-tape, and ide-cdrom|writers
  *				to use ide-scsi emulation on a device specific option.
  * "idebus=xx"		: inform IDE driver of VESA/PCI bus speed in MHz,
  *				where "xx" is between 20 and 66 inclusive,

_
